View Issue Details

IDProjectCategoryView StatusLast Update
0001572libextractorbuild systempublic2012-09-09 02:36
ReporterLRNAssigned ToNDurner 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Versioncurrent SVN 
Target Version1.0.0Fixed in Version1.0.0 
Summary0001572: make install fails
Descriptionmake[4]: Nothing to be done for `install-exec-am'.
test -z "/usr/local/include" || "/usr/local/include"
/bin/sh: /usr/local/include: is a directory
make[4]: *** [install-includeHEADERS] Error 127
Additional InformationThat's because MKDIR_P is defined to nothing in makefiles, because m4/mkdirp.m4 defines mkdir_p, not MKDIR_P, and AC_SUBST seems to be case-sensitive.
TagsNo tags attached.

Activities

2010-06-20 20:02

 

win32_mkdirp.diff (845 bytes)
Index: m4/mkdirp.m4
===================================================================
--- m4/mkdirp.m4	(revision 11841)
+++ m4/mkdirp.m4	(working copy)
@@ -43,7 +43,7 @@
   #  To support the latter case, we have to write
   #     test -z "$(somedir)" || $(mkdir_p) $(DESTDIR)$(somedir),
   #  so the `.' trick is pointless.
-  mkdir_p='mkdir -p --'
+  MKDIR_P='mkdir -p --'
 else
   # On NextStep and OpenStep, the `mkdir' command does not
   # recognize any option.  It will interpret all options as
@@ -55,9 +55,9 @@
   done
   # $(mkinstalldirs) is defined by Automake if mkinstalldirs exists.
   if test -f "$ac_aux_dir/mkinstalldirs"; then
-    mkdir_p='$(mkinstalldirs)'
+    MKDIR_P='$(mkinstalldirs)'
   else
-    mkdir_p='$(install_sh) -d'
+    MKDIR_P='$(install_sh) -d'
   fi
 fi
-AC_SUBST([mkdir_p])])
+AC_SUBST([MKDIR_P])])
win32_mkdirp.diff (845 bytes)

NDurner

2010-06-21 20:27

developer   ~0004040

Applied. Thanks.

Issue History

Date Modified Username Field Change
2010-06-20 20:02 LRN New Issue
2010-06-20 20:02 LRN File Added: win32_mkdirp.diff
2010-06-21 20:27 NDurner Note Added: 0004040
2010-06-21 20:27 NDurner Status new => resolved
2010-06-21 20:27 NDurner Fixed in Version => current SVN
2010-06-21 20:27 NDurner Resolution open => fixed
2010-06-21 20:27 NDurner Assigned To => NDurner
2010-10-21 15:47 Christian Grothoff Status resolved => closed
2012-09-09 02:36 Christian Grothoff Fixed in Version current SVN => 1.0.0
2012-09-09 02:36 Christian Grothoff Target Version => 1.0.0